Opened 3 years ago

Closed 3 years ago

#4723 closed change (rejected)

Ensure use strict is used throughout

Reported by: kzar Assignee: kzar
Priority: Unknown Milestone:
Module: Unknown Keywords:
Cc: sebastian, trev Blocked By:
Blocking: Platform: Unknown / Cross platform
Ready: no Confidential: no
Tester: Unknown Verified working: no
Review URL(s):

Description

Background

As of #4552 we removed JS Hydra. Unfortunately that breaks things for Chrome versions older than 49 which only support "let" when strict mode is active.

What to change

Ensure "use strict"; appears at the top of all relevant scripts.

Change History (1)

comment:1 Changed 3 years ago by kzar

  • Resolution set to rejected
  • Status changed from new to closed

We need Chrome 49 for destructing anyway. If we don't revert the JS Hydra removal we'll need to update the minimum Chrome 49 version to 49 and this issue goes away.

Note: See TracTickets for help on using tickets.